ComboBoxEditor (Java SE 9 & JDK 9 )
Keywords: javax.swing.ComboBoxEditor interface

Module java.desktop
Package javax.swing

## Interface ComboBoxEditor

- All Known Implementing Classes:
    `BasicComboBoxEditor`, `BasicComboBoxEditor.UIResource`, `MetalComboBoxEditor`, `MetalComboBoxEditor.UIResource`

      public interface ComboBoxEditor

  The editor component used for JComboBox components.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addActionListener​(ActionListener l)` | Add an ActionListener.
    `Component` | `getEditorComponent​()` | Returns the component that should be added to the tree hierarchy for this editor
    `Object` | `getItem​()` | Returns the edited item
    `void` | `removeActionListener​(ActionListener l)` | Remove an ActionListener
    `void` | `selectAll​()` | Ask the editor to start editing and to select everything
    `void` | `setItem​(Object anObject)` | Set the item that should be edited.

- - ### Method Detail

    - #### getEditorComponent

          Component getEditorComponent​()

      Returns the component that should be added to the tree hierarchy for this editor
      Returns:
        the component

    - #### setItem

          void setItem​(Object anObject)

      Set the item that should be edited. Cancel any editing if necessary
      Parameters:
        `anObject` - an item

    - #### getItem

          Object getItem​()

      Returns the edited item
      Returns:
        the edited item

    - #### selectAll

          void selectAll​()

      Ask the editor to start editing and to select everything

    - #### addActionListener

          void addActionListener​(ActionListener l)

      Add an ActionListener. An action event is generated when the edited item changes
      Parameters:
        `l` - an `ActionListener`

    - #### removeActionListener

          void removeActionListener​(ActionListener l)

      Remove an ActionListener
      Parameters:
        `l` - an `ActionListener`